summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Breathitt Gray <vilhelm.gray@gmail.com>2020-08-25 15:16:52 -0400
committerJames Le Cuirot <chewi@gentoo.org>2020-08-25 22:54:49 +0100
commitf72fe819a1fddbed90353ec2d95658b1bc98a17b (patch)
tree19ca2b1d344ddd8a41e8ffdbce28f4f226abe0a2
parentmedia-video/pipewire: 0.3.10 bump (diff)
downloadgentoo-f72fe819a1fddbed90353ec2d95658b1bc98a17b.tar.gz
gentoo-f72fe819a1fddbed90353ec2d95658b1bc98a17b.tar.bz2
gentoo-f72fe819a1fddbed90353ec2d95658b1bc98a17b.zip
game-engines/odamex: Version bump to 0.8.3
Closes: https://bugs.gentoo.org/722494 Signed-off-by: William Breathitt Gray <vilhelm.gray@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/17258 Signed-off-by: James Le Cuirot <chewi@gentoo.org>
-rw-r--r--games-engines/odamex/Manifest1
-rw-r--r--games-engines/odamex/files/odamex-0.8.3-Use-C-11-on-odalaunch-target-for-wx-3.0.4-and-up.patch29
-rw-r--r--games-engines/odamex/odamex-0.8.3.ebuild76
3 files changed, 106 insertions, 0 deletions
diff --git a/games-engines/odamex/Manifest b/games-engines/odamex/Manifest
index 0f071ac593c..cd2dcf02a55 100644
--- a/games-engines/odamex/Manifest
+++ b/games-engines/odamex/Manifest
@@ -1 +1,2 @@
+DIST odamex-0.8.3.tar.bz2 8532510 BLAKE2B 751d65dfe07a4c4c0cb5ff360e76a1291cf4ba289c459f15a0c277aca4d15b1e0989e1606cdc4e0f0bec56d6ae437027046302f5c55efb3b835a42df512fb18f SHA512 01a875973d43c87dde7953464e0e3c37fa088b00b6cc0ecbef1a8b3b9a87257ab24ef4e3c224ebcbc0e38cd3139c7adc56b12a03ae2528b66d6498bb8d84d720
DIST odamex-src-0.8.2.tar.bz2 8502115 BLAKE2B bf4acaea1c9ce81966886bdfef35d361f84dab02e32ec4fd11fe8d250b76c6ca86c0b2870f38382961949713059a2944eea50c6f4d05a41411799386ab3acc64 SHA512 bb3e2427ede7267afce8bb2b852eed3f8d2ed9cf17c5b15a264d6821d170c49dccea06ea0742d9dc7cfe42518701342572689b57ec6712f4b818bd0e25b436c8
diff --git a/games-engines/odamex/files/odamex-0.8.3-Use-C-11-on-odalaunch-target-for-wx-3.0.4-and-up.patch b/games-engines/odamex/files/odamex-0.8.3-Use-C-11-on-odalaunch-target-for-wx-3.0.4-and-up.patch
new file mode 100644
index 00000000000..95cdfce5183
--- /dev/null
+++ b/games-engines/odamex/files/odamex-0.8.3-Use-C-11-on-odalaunch-target-for-wx-3.0.4-and-up.patch
@@ -0,0 +1,29 @@
+From 8b82b887fd1fb17162ad831bbe7a83076187499d Mon Sep 17 00:00:00 2001
+From: Michael Wood <mwoodj@huntsvegas.org>
+Date: Tue, 25 Aug 2020 02:34:37 -0500
+Subject: [PATCH] Use C++11 on odalaunch target for wx 3.0.4 and up
+
+This addresses bug #1311. wxWidgets 3.0.4 requires C++11 support.
+---
+ odalaunch/CMakeLists.txt | 5 +++++
+ 1 file changed, 5 insertions(+)
+
+diff --git a/odalaunch/CMakeLists.txt b/odalaunch/CMakeLists.txt
+index f68a4d4d..4abbe0d8 100644
+--- a/odalaunch/CMakeLists.txt
++++ b/odalaunch/CMakeLists.txt
+@@ -32,6 +32,11 @@ endif()
+
+ # Odalaunch target
+ if(wxWidgets_FOUND)
++ # wxWidgets 3.0.4 requires C++11
++ if(wxWidgets_VERSION_STRING VERSION_GREATER 3.0.3)
++ set(CMAKE_CXX_STANDARD 11)
++ endif()
++
+ add_custom_command(
+ OUTPUT ${XRCRES_HEADER}
+ COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/res
+--
+2.28.0
+
diff --git a/games-engines/odamex/odamex-0.8.3.ebuild b/games-engines/odamex/odamex-0.8.3.ebuild
new file mode 100644
index 00000000000..ff1b1912857
--- /dev/null
+++ b/games-engines/odamex/odamex-0.8.3.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+WX_GTK_VER="3.0-gtk3"
+inherit cmake desktop prefix wxwidgets xdg
+
+DESCRIPTION="Online multiplayer free software engine for DOOM"
+HOMEPAGE="https://odamex.net/"
+SRC_URI="mirror://sourceforge/${PN}/Odamex/${PV}/${PN}-src-${PV}.tar.bz2 -> ${P}.tar.bz2"
+
+LICENSE="GPL-2+ MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+client master +odalaunch portmidi server upnp X"
+REQUIRED_USE="|| ( client master server )"
+
+RDEPEND="
+ client? (
+ media-libs/libpng:0=
+ media-libs/libsdl2[joystick,sound,video]
+ media-libs/sdl2-mixer
+ odalaunch? ( x11-libs/wxGTK:${WX_GTK_VER}[X] )
+ portmidi? ( media-libs/portmidi )
+ X? ( x11-libs/libX11 )
+ )
+ server? (
+ upnp? ( net-libs/miniupnpc:= )
+ )"
+DEPEND="${RDEPEND}"
+BDEPEND="games-util/deutex"
+
+S="${WORKDIR}/${PN}-src-${PV}"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-0.8.1-miniupnpc.patch"
+ "${FILESDIR}/${P}-Use-C-11-on-odalaunch-target-for-wx-3.0.4-and-up.patch"
+)
+
+src_prepare() {
+ rm -r libraries/libminiupnpc wad/odamex.wad || die
+ hprefixify common/d_main.cpp
+
+ use odalaunch && setup-wxwidgets
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DCMAKE_DISABLE_FIND_PACKAGE_X11=$(usex !X)
+ -DBUILD_CLIENT=$(usex client)
+ -DBUILD_MASTER=$(usex master)
+ -DBUILD_ODALAUNCH=$(usex odalaunch)
+ -DBUILD_SERVER=$(usex server)
+ -DENABLE_PORTMIDI=$(usex portmidi)
+ -DUSE_MINIUPNP=$(usex upnp)
+ )
+
+ cmake_src_configure
+}
+
+src_install() {
+ if use client ; then
+ newicon -s 128 "${S}/media/icon_${PN}_128.png" "${PN}.png"
+ make_desktop_entry "${PN}" "Odamex"
+
+ if use odalaunch ; then
+ newicon -s 128 "${S}/media/icon_odalaunch_128.png" "odalaunch.png"
+ make_desktop_entry odalaunch "Odamex Launcher" odalaunch
+ fi
+ fi
+
+ cmake_src_install
+}